# How to create your own custom Token Manager
To create your own custom `Token Manager`, follow these steps:

1. Create a new service.
2. Implement the `TokenManagerInterface` interface in your service.
3. Tag your service with the custom `access_token_auth.token_manager` tag.
4. That's it! Your custom `Token Manager` is ready to be used.

## How to use your custom Token Manager
To use your custom Token Manager, follow these steps:

1. Go to `/admin/config/services/access-token-auth-settings`.
2. Expand the `Advanced Settings` tab.
3. Select your custom `Token Manager`.
4. Save the configuration.
5. That's it! Your custom `Token Manager` will now be used for the specified actions.

## How to support the token list display
To support the token list display, follow these steps:

1. In your custom `Token Manager` implement the `TokenListInterface` interface.
2. That's all! If you go to `/admin/config/services/access-token-auth/list` you should be able to preview the access token generated by your custom implementation.
